Get All Teams V2
https://app.fossa.com/api/v2/teamsGet a paginated list of teams in your organization
Query parameters
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter teams by name (max 255)
Responses
200OKresultsobject[]requiredArray of teams
idintegerThe team's unique identifier
organizationIdintegerThe organization's unique identifier
namestringThe team's name
defaultRoleIdintegerThe default role's unique identifier
autoAddUsersbooleanWhether the team auto-adds users
uniqueIdentifierstringThe team's unique identifier
createdAtstring <date-time>The team's creation date
updatedAtstring <date-time>The team's last update date
teamTypeenumWhether it's a normal team or a Team Group.
teamteam_groupteamMembersCountintegerThe number of users associated with the team
teamReleaseGroupsCountintegerThe number of release groups associated with the team
teamProjectsCountintegerThe number of projects associated with the team
pageSizeintegerrequiredNumber of items per page
pageintegerrequiredCurrent page number (1-indexed)
totalCountintegerrequiredTotal number of teams
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/teamscurl --request GET \ --url 'https://app.fossa.com/api/v2/teams' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter teams by name (max 255)